Results 1 to 7 of 7

Thread: 12.10 Software Center Requires installation of untrusted packages

  1. #1
    Join Date
    Apr 2013
    Beans
    4

    12.10 Software Center Requires installation of untrusted packages

    I've been having major problems lately with the Ubuntu Software Center. Every time I try to install something, I get the message "Requires installation of untrusted packages" and gives me the options "ok" and "repair". If I click "ok", then the installation aborts and nothing happens. If I click "repair" I get the message "Failed to download repository information" with these details:
    Code:
    W:Failed to fetch http://security.ubuntu.com/ubuntu/di...ty/Release.gpg  Something wicked happened resolving 'security.ubuntu.com:http' (-5 - No address associated with hostname),
     W:Failed to fetch cdrom://Ubuntu 12.10 _Quantal Quetzal_ - Release amd64 (20121017.5)/dists/quantal/main/binary-amd64/Packages  Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
    , W:Failed to fetch cdrom://Ubuntu 12.10 _Quantal Quetzal_ - Release amd64 (20121017.5)/dists/quantal/restricted/binary-amd64/Packages  Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
    , W:Failed to fetch cdrom://Ubuntu 12.10 _Quantal Quetzal_ - Release amd64 (20121017.5)/dists/quantal/main/binary-i386/Packages  Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
    , W:Failed to fetch cdrom://Ubuntu 12.10 _Quantal Quetzal_ - Release amd64 (20121017.5)/dists/quantal/restricted/binary-i386/Packages  Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs
    , E:Some index files failed to download. They have been ignored, or old ones used instead.
    I'm running Ubuntu 12.10 64-Bit. I've tried solutions for older versions of Ubuntu without success. Anyone else having the same issue or know how to resolve this?
    Last edited by matt_symes; April 22nd, 2013 at 05:08 AM. Reason: Added code tags for readability

  2. #2
    Join Date
    May 2010
    Location
    uk
    Beans
    9,374
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: 12.10 Software Center Requires installation of untrusted packages

    Hi

    You actually have two errors there. Maybe a third with the untrusted packages message.

    You currently have a CD or dvd in the drive eh ?

    Press alt + F2 together and in the run dialog box type

    Code:
    gedit /etc/apt/sources.list
    Copy and paste the text into your next post between code tags.

    You do this by highlighting the text in your post and hitting the # button above where you are typing the post.

    Kind regards.
    Last edited by matt_symes; April 22nd, 2013 at 06:22 AM.
    If you believe everything you read, you better not read. ~ Japanese Proverb

    If you don't read the newspaper, you're uninformed. If you read the newspaper, you're mis-informed. - Mark Twain

    Thinking about becoming an Ubuntu Member?

  3. #3
    Join Date
    Apr 2013
    Beans
    4

    Re: 12.10 Software Center Requires installation of untrusted packages

    Thank you for your response.

    I do not currently have anything in the CD Drive

    Code:
    deb cdrom:[Ubuntu 12.10 _Quantal Quetzal_ - Release amd64 (20121017.5)]/ quantal main restricted
    
    
    # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
    # newer versions of the distribution.
    deb http://us.archive.ubuntu.com/ubuntu/ quantal main restricted multiverse
    deb-src http://us.archive.ubuntu.com/ubuntu/ quantal restricted main universe multiverse #Added by software-properties
    
    
    ## Major bug fix updates produced after the final release of the
    ## distribution.
    deb http://us.archive.ubuntu.com/ubuntu/ quantal-updates main restricted multiverse
    deb-src http://us.archive.ubuntu.com/ubuntu/ quantal-updates restricted main universe multiverse #Added by software-properties
    
    
    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team. Also, please note that software in universe WILL NOT receive any
    ## review or updates from the Ubuntu security team.
    deb http://us.archive.ubuntu.com/ubuntu/ quantal universe
    deb http://us.archive.ubuntu.com/ubuntu/ quantal-updates universe
    
    
    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
    ## team, and may not be under a free licence. Please satisfy yourself as to 
    ## your rights to use the software. Also, please note that software in 
    ## multiverse WILL NOT receive any review or updates from the Ubuntu
    ## security team.
    
    
    ## N.B. software from this repository may not have been tested as
    ## extensively as that contained in the main release, although it includes
    ## newer versions of some applications which may provide useful features.
    ## Also, please note that software in backports WILL NOT receive any review
    ## or updates from the Ubuntu security team.
    deb http://us.archive.ubuntu.com/ubuntu/ quantal-backports main restricted universe multiverse
    deb-src http://us.archive.ubuntu.com/ubuntu/ quantal-backports main restricted universe multiverse #Added by software-properties
    
    
    deb http://security.ubuntu.com/ubuntu quantal-security main restricted multiverse
    deb-src http://security.ubuntu.com/ubuntu quantal-security restricted main universe multiverse #Added by software-properties
    deb http://security.ubuntu.com/ubuntu quantal-security universe
    
    
    ## Uncomment the following two lines to add software from Canonical's
    ## 'partner' repository.
    ## This software is not part of Ubuntu, but is offered by Canonical and the
    ## respective vendors as a service to Ubuntu users.
    deb http://archive.canonical.com/ubuntu quantal partner
    deb-src http://archive.canonical.com/ubuntu quantal partner
    
    
    ## This software is not part of Ubuntu, but is offered by third-party
    ## developers who want to ship their latest software.
    deb http://extras.ubuntu.com/ubuntu quantal main
    deb http://us.archive.ubuntu.com/ubuntu/ quantal-proposed restricted main universe multiverse
    deb-src http://extras.ubuntu.com/ubuntu quantal main

  4. #4
    Join Date
    May 2010
    Location
    uk
    Beans
    9,374
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: 12.10 Software Center Requires installation of untrusted packages

    Hi

    This is the cause of one of your errors

    deb cdrom:[Ubuntu 12.10 _Quantal Quetzal_ - Release amd64 (20121017.5)]/ quantal main restricted
    The quickest and easiest way to fix it is using the terminal. Nothing to be afraid of.

    Open a terminal and copy and past this next line of code into it. Copy and pasting will ensure less errors.

    To open a terminal type terminal in the dash and click the terminal icon.

    I'll explain what it does after.

    Code:
    sudo sed -i '1 s/^/#/'  /etc/apt/sources.list
    Enter your password. It will not be echoed to the screen. This is normal.

    The command will add a # character as the first character on line 1 of the file /etc/apt/sources.list. This will disable the offending line.

    After that type

    Code:
    sudo apt-get update
    This will update your system like software-center does for you but from the command line. It will not install any software.

    After that we can look at the other error.

    EDIT:
    And i should have said, welcome to the forums

    Kind regards
    Last edited by matt_symes; April 22nd, 2013 at 06:19 AM.
    If you believe everything you read, you better not read. ~ Japanese Proverb

    If you don't read the newspaper, you're uninformed. If you read the newspaper, you're mis-informed. - Mark Twain

    Thinking about becoming an Ubuntu Member?

  5. #5
    Join Date
    Apr 2013
    Beans
    4

    Re: 12.10 Software Center Requires installation of untrusted packages

    Thank you very much! seems to be working so far, this is the last error I'm getting in the terminal:

    Code:
    W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/quantal/Release.gpg  Something wicked happened resolving 'us.archive.ubuntu.com:http' (-5 - No address associated with hostname)

  6. #6
    Join Date
    May 2010
    Location
    uk
    Beans
    9,374
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: 12.10 Software Center Requires installation of untrusted packages

    Hi

    Sorry for the delay i was away from my keyboard.

    This is a DNS resolve issue and there can be a number of causes for it.

    Basically what is happing is that Ubuntu cannot convert us.archive.ubuntu.com into an IP address that it can then use on the internet.

    Interesting enough you were getting a different DNS resolve failure before and that was for security.ubuntu.com.

    I think the best thing to try is to set you up to point to a different dns server and see how that goes.

    More terminal commands to get you going.

    Open a terminal again. Copy and paste this first command into it.

    Code:
    sudo sed -i '/prepend/ c\prepend domain-name-servers 8.8.8.8, 8.8.4.4;' /etc/dhcp/dhclient.conf
    Enter your password again as before if required.

    That will change your dns servers to 2 of Googles that i also use.

    Then copy and paste.

    Code:
    sudo service network-manager restart
    That will restart network manager that controls your network connections. You may have to reconnect to your network.

    After you have reconnected copy and paste this

    Code:
    nmcli dev list iface wlan0 | grep -i dns
    Your looking for at least two entries like this
    Code:
    IP4.DNS[1]:                             8.8.8.8
    IP4.DNS[2]:                             8.8.4.4
    If they are there then all went well.

    Then copy and paste

    Code:
    sudo apt-get update
    Kind regards
    If you believe everything you read, you better not read. ~ Japanese Proverb

    If you don't read the newspaper, you're uninformed. If you read the newspaper, you're mis-informed. - Mark Twain

    Thinking about becoming an Ubuntu Member?

  7. #7
    Join Date
    Apr 2013
    Beans
    4

    Re: 12.10 Software Center Requires installation of untrusted packages

    Thank you so very much! that did the trick!

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •